Bug Hunting Session
Bug 118675 - Low image quality when using special paste bitmap of a shape/textbox
Summary: Low image quality when using special paste bitmap of a shape/textbox
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.4 all versions
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: bibisectRequest, regression
Depends on:
Blocks: Paste-Special
  Show dependency treegraph
 
Reported: 2018-07-10 17:48 UTC by Telesto
Modified: 2019-08-01 03:35 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
Example (51.98 KB, application/vnd.oasis.opendocument.text)
2018-07-10 17:48 UTC, Telesto
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Telesto 2018-07-10 17:48:32 UTC
Description:
Low image quality when using special paste bitmap of a shape/textbox 

Steps to Reproduce:
1. Open the attached file
2. Copy the shape
3. CMD SHIFT Paste 

Actual Results:
Low image quality and a smaller image

Expected Results:
Same size image and a proper resolution


Reproducible: Always


User Profile Reset: No



Additional Info:
Version: 6.1.0.1
Build ID: 378e26bd4f22a135cef5fa17afd5d4171d8da21a
CPU threads: 4; OS: Mac OS X 10.12.6; UI render: default; 
Locale: nl-NL (nl_NL.UTF-8); Calc: group threaded
Comment 1 Telesto 2018-07-10 17:48:56 UTC
Created attachment 143432 [details]
Example
Comment 2 Xisco Faulí 2018-07-11 11:33:17 UTC
Regarding the size change, I can reproduce it in

Version: 6.2.0.0.alpha0+
Build ID: c290f692dd28094d41dff686f3faa1c4e14b556e
CPU threads: 4; OS: Linux 4.13; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); Calc: group threaded

Version: 5.2.0.0.alpha0+
Build ID: 3ca42d8d51174010d5e8a32b96e9b4c0b3730a53
Threads 4; Ver: 4.10; Render: default; 

Version: 4.3.0.0.alpha1+
Build ID: c15927f20d4727c3b8de68497b6949e72f9e6e9e

but not in

Version 4.1.0.0.alpha0+ (Build ID: efca6f15609322f62a35619619a6d5fe5c9bd5a)

Regarding the quality, I think it's the expected quality for a bitmap
Comment 3 Buovjaga 2018-07-11 17:47:14 UTC
Note missing step after 2: deselect shape. Otherwise the bitmap is pasted to the shape and retains its dimensions.

In Linux 41max, there is a huge number of commits, where nothing happens upon pasting. Looks like it is not bibisectable. I did "git checkout bisect/bad" to checkout the first found bad commit and went backwards with git reset --hard HEAD~1000 (various steps) and it seems before the non-pasting there are good results.
Comment 4 QA Administrators 2019-08-01 03:35:58 UTC
Dear Telesto,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug